﻿-- Hilfeanzeige zur Bedienung für FS17_Mercedes_Actros_SLT LS15
-- created by ===sven===
-- Date: 01.08.2016
helpVSRLOURD = {};

function helpVSRLOURD.prerequisitesPresent(specializations)
    return SpecializationUtil.hasSpecialization(AnimatedVehicle, specializations);
end;

function helpVSRLOURD:load(xmlFile)
	self.helpVSRLOURD = false;
end;

function helpVSRLOURD:delete()
end;

function helpVSRLOURD:mouseEvent(posX, posY, isDown, isUp, button)
end;

function helpVSRLOURD:keyEvent(unicode, sym, modifier, isDown)
end;

function helpVSRLOURD:update(dt)
	if self:getIsActiveForInput() then
		if InputBinding.hasEvent(InputBinding.sdm_TOGGLE_HELP) then
			self.helpVSRLOURD = not self.helpVSRLOURD;
		end;
	end;
end;

function helpVSRLOURD:updateTick(dt)
end;

function helpVSRLOURD:draw()
	if not self.helpVSRLOURD then
		renderText(0.01, 0.97, 0.021, "Aide des Commandes Ctrl Gauche +F1:");
	else
		renderText(0.03, 0.12, 0.021, "Feux de Protection	= NumPad 4");
		renderText(0.03, 0.10, 0.021, "Sirene	= H");
		renderText(0.03, 0.08, 0.021, "Monter / Descendre Bras d'eclairage = X");
		renderText(0.03, 0.06, 0.021, "Monter / Descendre Panneaux = NumPad 8");
		renderText(0.03, 0.04, 0.021, "Attacher/détacher Dévidoire Gauche = NumPad 7");
		renderText(0.03, 0.02, 0.021, "Attacher/détacher Dévidoire Droite = NumPad 9");
	end;
end;  

function helpVSRLOURD:onLeave()
	self.helpVSRLOURD = false;
end;
